Count issues
curl --request POST \
--url https://api.example.com/api/issues/{deploymentId}/counts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"filters": {
"ids": [
"<string>"
],
"titleQuery": "<string>",
"descriptionQuery": "<string>",
"reasoningQuery": "<string>",
"actions": [
"<string>"
],
"workflowIds": [
"<string>"
],
"identities": [
"<string>"
],
"triggerSources": [
"<string>"
],
"projectIds": [
"<string>"
],
"refIds": [
"<string>"
],
"filePathQuery": "<string>",
"createdAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"lastDetectedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"triagedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"workflowJobIds": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/api/issues/{deploymentId}/counts"
payload = {
"deploymentId": "<string>",
"filters": {
"ids": ["<string>"],
"titleQuery": "<string>",
"descriptionQuery": "<string>",
"reasoningQuery": "<string>",
"actions": ["<string>"],
"workflowIds": ["<string>"],
"identities": ["<string>"],
"triggerSources": ["<string>"],
"projectIds": ["<string>"],
"refIds": ["<string>"],
"filePathQuery": "<string>",
"createdAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"lastDetectedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"triagedAt": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"workflowJobIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
filters: {
ids: ['<string>'],
titleQuery: '<string>',
descriptionQuery: '<string>',
reasoningQuery: '<string>',
actions: ['<string>'],
workflowIds: ['<string>'],
identities: ['<string>'],
triggerSources: ['<string>'],
projectIds: ['<string>'],
refIds: ['<string>'],
filePathQuery: '<string>',
createdAt: {startAt: '2023-11-07T05:31:56Z', endAt: '2023-11-07T05:31:56Z'},
lastDetectedAt: {startAt: '2023-11-07T05:31:56Z', endAt: '2023-11-07T05:31:56Z'},
triagedAt: {startAt: '2023-11-07T05:31:56Z', endAt: '2023-11-07T05:31:56Z'},
workflowJobIds: ['<string>']
}
})
};
fetch('https://api.example.com/api/issues/{deploymentId}/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": "<string>"
}Issues (Semgrep Agentic Workflows)
Count issues
Count Semgrep Agentic Workflows issues matching the supplied filters.
POST
/
api
/
issues
/
{deploymentId}
/
counts
Count issues
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Response
200 - application/json
OK
Was this page helpful?
⌘I